$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.0.5.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.0.5.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'FC5C1E8ED34ABCB1BE0AF9510E7E9ACD9FC941360F4F086ED6F4A8F42FC8176D'
  checksumType = 'sha256'
  checksum64 = 'FC5C1E8ED34ABCB1BE0AF9510E7E9ACD9FC941360F4F086ED6F4A8F42FC8176D'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-20.0.5-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
